Public Attributes | List of all members
__hal_gdc_layer_t Struct Reference
Graphics » HAL DC » GDC » Structures

Layer parameters definition. More...

`#include <hal_gdc.h>`

## Public Attributes
void * | baseaddr_virt
| Virtual Address. More...
uintptr_t | baseaddr_phys
| Physical Address. More...
uint32_t | resx
| Resolution X. More...
uint32_t | resy
| Resolution Y. More...
int32_t | stride
| Stride. More...
int32_t | startx
| Start X. More...
int32_t | starty
| Start Y. More...
uint32_t | sizex
| Size X. More...
uint32_t | sizey
| Size Y. More...
uint8_t | alpha
| Alpha. More...
uint8_t | blendmode
| Blending Mode. More...
uint8_t | buscfg
| bugcfg More...
hal_gdc_format_t | format
| Format. More...
uint32_t | mode
| Mode. More...
uint32_t | u_base
| U Base. More...
uint32_t | v_base
| Y Base. More...
uint32_t | u_stride
| U Stride. More...
uint32_t | v_stride
| V Stride. More...

## Detailed Description

Layer parameters definition.

Definition at line 360 of file hal_gdc.h.

## Member Data Documentation

## ◆ alpha

uint8_t __hal_gdc_layer_t::alpha

Alpha.

Definition at line 371 of file hal_gdc.h.

## ◆ baseaddr_phys

uintptr_t __hal_gdc_layer_t::baseaddr_phys

Physical Address.

Definition at line 363 of file hal_gdc.h.

## ◆ baseaddr_virt

void* __hal_gdc_layer_t::baseaddr_virt

Virtual Address.

Definition at line 362 of file hal_gdc.h.

## ◆ blendmode

uint8_t __hal_gdc_layer_t::blendmode

Blending Mode.

Definition at line 372 of file hal_gdc.h.

## ◆ buscfg

uint8_t __hal_gdc_layer_t::buscfg

bugcfg

Definition at line 373 of file hal_gdc.h.

## ◆ format

hal_gdc_format_t __hal_gdc_layer_t::format

Format.

Definition at line 374 of file hal_gdc.h.

## ◆ mode

uint32_t __hal_gdc_layer_t::mode

Mode.

Definition at line 375 of file hal_gdc.h.

## ◆ resx

uint32_t __hal_gdc_layer_t::resx

Resolution X.

Definition at line 364 of file hal_gdc.h.

## ◆ resy

uint32_t __hal_gdc_layer_t::resy

Resolution Y.

Definition at line 365 of file hal_gdc.h.

## ◆ sizex

uint32_t __hal_gdc_layer_t::sizex

Size X.

Definition at line 369 of file hal_gdc.h.

## ◆ sizey

uint32_t __hal_gdc_layer_t::sizey

Size Y.

Definition at line 370 of file hal_gdc.h.

## ◆ startx

int32_t __hal_gdc_layer_t::startx

Start X.

Definition at line 367 of file hal_gdc.h.

## ◆ starty

int32_t __hal_gdc_layer_t::starty

Start Y.

Definition at line 368 of file hal_gdc.h.

## ◆ stride

int32_t __hal_gdc_layer_t::stride

Stride.

Definition at line 366 of file hal_gdc.h.

## ◆ u_base

uint32_t __hal_gdc_layer_t::u_base

U Base.

Definition at line 376 of file hal_gdc.h.

## ◆ u_stride

uint32_t __hal_gdc_layer_t::u_stride

U Stride.

Definition at line 378 of file hal_gdc.h.

## ◆ v_base

uint32_t __hal_gdc_layer_t::v_base

Y Base.

Definition at line 377 of file hal_gdc.h.

## ◆ v_stride

uint32_t __hal_gdc_layer_t::v_stride

V Stride.

Definition at line 379 of file hal_gdc.h.

The documentation for this struct was generated from the following file:

- hal_gdc.h